#3669 I/O error while changing Filter value in File System Browser

normal bug
closed-fixed
6
2012-04-03
2012-03-12
tekniki
No

12:54:33 PM [main] [message] Log: java.version=1.6.0_29
12:54:33 PM [main] [message] Log: java.vm.version=20.4-b02-402
12:54:33 PM [main] [message] Log: java.vm.name=Java HotSpot(TM) 64-Bit Server VM
12:54:33 PM [main] [message] Log: java.runtime.version=1.6.0_29-b11-402-11D50
12:54:33 PM [main] [message] Log: java.runtime.name=Java(TM) SE Runtime Environment
12:54:33 PM [main] [message] Log: java.vendor=Apple Inc.
12:54:33 PM [main] [message] Log: java.compiler=null
12:54:33 PM [main] [message] Log: os.name=Mac OS X
12:54:33 PM [main] [message] Log: os.version=10.7.3
12:54:33 PM [main] [message] Log: os.arch=x86_64
.
.
.

12:54:33 PM [main] [message] jEdit: starting with command line arguments: -background
.
12:54:33 PM [main] [notice] jEdit: jEdit version 4.5

--------------------------------------------------------------------------------------------

Steps to reproduce the error:

1. Open the File System Browser
2. In the Path text field enter a path to a local directory to browse to.
3. Check the checkbox next to the test field labeled "Filter".
4. Enter a filter value (example *.txt) and hit enter.
5. Then enter another another value in the text field(example *.doc) and hit enter
6. You should see a dialog box with the title "I/O Error" and the following message displayed "Each file system browser can only execute one input/output operation at a time. Please wait until the current operation finishes (or abort it in the I/O progress monitor) before starting another one"

-----------------------------------------------

I took a jstack dump when this error occured(when the error message is displayed) . I have copied the the dump below:

"AWT-EventQueue-0" prio=6 tid=7fd7bb9fe000 nid=0x114fa3000 in Object.wait() [114f9f000]
java.lang.Thread.State: WAITING (on object monitor)
at java.lang.Object.wait(Native Method)
at java.lang.Object.wait(Object.java:485)
at java.awt.EventQueue.getNextEvent(EventQueue.java:520)
- locked <7f45f7c70> (a java.awt.EventQueue)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:263)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:205)
at java.awt.Dialog$1.run(Dialog.java:1046)
at java.awt.Dialog$3.run(Dialog.java:1098)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.Dialog.show(Dialog.java:1096)
at javax.swing.JOptionPane.showOptionDialog(JOptionPane.java:853)
at javax.swing.JOptionPane.showMessageDialog(JOptionPane.java:650)
at javax.swing.JOptionPane.showMessageDialog(JOptionPane.java:621)
at org.gjt.sp.jedit.GUIUtilities.error(GUIUtilities.java:658)
at org.gjt.sp.jedit.browser.VFSBrowser.startRequest(VFSBrowser.java:1513)
at org.gjt.sp.jedit.browser.VFSBrowser.setDirectory(VFSBrowser.java:612)
at org.gjt.sp.jedit.browser.VFSBrowser$ActionHandler.itemStateChanged(VFSBrowser.java:1653)
at org.gjt.sp.jedit.browser.VFSBrowser$ActionHandler.actionPerformed(VFSBrowser.java:1630)
at javax.swing.JTextField.fireActionPerformed(JTextField.java:492)
at org.gjt.sp.jedit.gui.HistoryTextField.fireActionPerformed(HistoryTextField.java:228)
at org.gjt.sp.jedit.gui.HistoryTextField$1.fireActionPerformed(HistoryTextField.java:99)
at org.gjt.sp.jedit.gui.HistoryText$ActionHandler.actionPerformed(HistoryText.java:366)
at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2028)
at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2351)
at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
at javax.swing.AbstractButton.doClick(AbstractButton.java:389)
at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:809)
at com.apple.laf.AquaMenuItemUI.doClick(AquaMenuItemUI.java:137)
at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:850)
at java.awt.Component.processMouseEvent(Component.java:6373)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
at java.awt.Component.processEvent(Component.java:6138)
at java.awt.Container.processEvent(Container.java:2085)
at java.awt.Component.dispatchEventImpl(Component.java:4735)
at java.awt.Container.dispatchEventImpl(Container.java:2143)
at java.awt.Component.dispatchEvent(Component.java:4565)
at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4621)
at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4282)
at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4212)
at java.awt.Container.dispatchEventImpl(Container.java:2129)
at java.awt.Window.dispatchEventImpl(Window.java:2478)
at java.awt.Component.dispatchEvent(Component.java:4565)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:679)
at java.awt.EventQueue.access$000(EventQueue.java:85)
at java.awt.EventQueue$1.run(EventQueue.java:638)
at java.awt.EventQueue$1.run(EventQueue.java:636)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
at java.awt.EventQueue$2.run(EventQueue.java:652)
at java.awt.EventQueue$2.run(EventQueue.java:650)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:649)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Discussion

  • Jarek Czekalski

    Jarek Czekalski - 2012-03-13
    • priority: 5 --> 6
     
  • Jarek Czekalski

    Jarek Czekalski - 2012-03-13

    Confirmed on windows and jedit 4.5 or daily 2012-03-12.

     
  • Matthieu Casanova

    Fixed in rev 21555

     
  • Matthieu Casanova

    • assigned_to: nobody --> kpouer
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks